Author terry.reedy
Recipients paul.moore, steve.dower, terry.reedy, tim.golden, vstinner, zach.ware
Date 2019-10-05.06:04:23
SpamBayes Score -1.0
Marked as misclassified Yes
Message-id <1570255464.42.0.0896609467688.issue38324@roundup.psfhosted.org>
In-reply-to
Content
I started a report on failures on my machine a few days ago, but never finished editing.  I am pasting in what I wrote so far. The same 4 tests fail today with a rebuild 12 hours ago.
---

I ran the test suite on my 64-bit Win10 machine with fresh debug 32 builds in freshly updated repository.
3.9 - tests failed for _locale, locale, and winconsoleio and import
3.8 - tests failed for _locale, locale, and winconsoleio
3.7 - tests failed for _locale, locale, and winconsoleio

=====================================================================================
f:\dev\3x>python -m test -j0 -ugui
Running Debug|Win32 interpreter...
== CPython 3.9.0a0 (heads/master:c5a7e0ce19, Sep 28 2019, 13:58:57) [MSC v.1900 32 bit (Intel)]
== Windows-10-10.0.18362-SP0 little-endian
== cwd: F:\dev\3x\build\test_python_12736
== CPU count: 12
== encodings: locale=cp1252, FS=utf-8
Run tests in parallel using 14 child processes
____________________________________________________________________________________
Failure 1.
test test__locale failed -- Traceback (most recent call last):
  File "F:\dev\3x\lib\test\test__locale.py", line 133, in test_lc_numeric_localeconv
    if self.numeric_tester('localeconv', formatting[lc], lc, loc):
  File "F:\dev\3x\lib\test\test__locale.py", line 97, in numeric_tester
    self.assertEqual(calc_value, known_value,
AssertionError: ',' != '\u066b'
- ,
+ \u066b
 : , != \u066b (localeconv for decimal_point; set to ps_AF, using ps_AF)
___________________________________________________________________________

Failure 2:
test_importlib failed -- running: test_concurrent_futures (1 min 6 sec)
Failed to import test module: test.test_importlib.import_.test_fromlist
Traceback (most recent call last):
  File "F:\dev\3x\lib\unittest\loader.py", line 436, in _find_test_path
    module = self._get_module_from_name(name)
  File "F:\dev\3x\lib\unittest\loader.py", line 377, in _get_module_from_name
    __import__(name)
ValueError: source code string cannot contain null bytes

test test_importlib crashed -- Traceback (most recent call last):
  File "F:\dev\3x\lib\test\libregrtest\runtest.py", line 270, in _runtest_inner
    refleak = _runtest_inner2(ns, test_name)
  File "F:\dev\3x\lib\test\libregrtest\runtest.py", line 234, in _runtest_inner2
    test_runner()
  File "F:\dev\3x\lib\test\libregrtest\runtest.py", line 208, in _test_module
    raise Exception("errors while loading tests")
Exception: errors while loading tests
_____________________________________________________________________________________

Failure 3.
test test_locale failed -- Traceback (most recent call last):
  File "F:\dev\3x\lib\test\test_locale.py", line 567, in test_getsetlocale_issue1813
    locale.setlocale(locale.LC_CTYPE, loc)
  File "F:\dev\3x\lib\locale.py", line 608, in setlocale
    return _setlocale(category, locale)
locale.Error: unsupported locale setting
_____________________________________________________________________________________

Failure 4. test_winconsoleio

ERROR: test_input (test.test_winconsoleio.WindowsConsoleIOTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "F:\dev\3x\lib\test\test_winconsoleio.py", line 148, in test_input
    self.assertStdinRoundTrip('\U00100000\U0010ffff\U0010fffd')
  File "F:\dev\3x\lib\test\test_winconsoleio.py", line 135, in assertStdinRoundTrip
    actual = input()
OSError: [WinError 87] The parameter is incorrect

======================================================================
ERROR: test_partial_reads (test.test_winconsoleio.WindowsConsoleIOTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "F:\dev\3x\lib\test\test_winconsoleio.py", line 161, in test_partial_reads
    b = stdin.read(read_count)
OSError: [WinError 87] The parameter is incorrect

======================================================================
ERROR: test_partial_surrogate_reads (test.test_winconsoleio.WindowsConsoleIOTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "F:\dev\3x\lib\test\test_winconsoleio.py", line 178, in test_partial_surrogate_reads
    b = stdin.read(read_count)
OSError: [WinError 87] The parameter is incorrect
______________________________________________________________________________________

5. Non-failure tracebacks displayed passing test_concurrent_futures

Cancelling an overlapped future failed
future: <_OverlappedFuture pending overlapped=<pending, 0x432ab70> cb=[BaseProactorEventLoop._loop_self_reading()]>
Traceback (most recent call last):
  File "F:\dev\3x\lib\asyncio\windows_events.py", line 66, in _cancel_overlapped
    self._ov.cancel()
OSError: [WinError 6] The handle is invalid
Cancelling an overlapped future failed
future: <_OverlappedFuture pending overlapped=<pending, 0x432ab70> cb=[BaseProactorEventLoop._loop_self_reading()]>
Traceback (most recent call last):
  File "F:\dev\3x\lib\asyncio\windows_events.py", line 66, in _cancel_overlapped
    self._ov.cancel()
OSError: [WinError 6] The handle is invalid
Error on reading from the event loop self pipe
loop: <ProactorEventLoop running=True closed=False debug=False>
Traceback (most recent call last):
  File "F:\dev\3x\lib\asyncio\windows_events.py", line 453, in finish_recv
    return ov.getresult()
OSError: [WinError 995] The I/O operation has been aborted because of either a thread exit or an application request
During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "F:\dev\3x\lib\asyncio\proactor_events.py", line 768, in _loop_self_reading
    f.result()  # may raise
  File "F:\dev\3x\lib\asyncio\windows_events.py", line 808, in _poll
    value = callback(transferred, key, ov)
  File "F:\dev\3x\lib\asyncio\windows_events.py", line 457, in finish_recv
    raise ConnectionResetError(*exc.args)
ConnectionResetError: [WinError 995] The I/O operation has been aborted because of either a thread exit or an application request
F:\dev\3x\lib\asyncio\base_events.py:673: ResourceWarning: unclosed event loop <ProactorEventLoop running=False closed=False debug=False>
  _warn(f"unclosed event loop {self!r}", ResourceWarning, source=self)
ResourceWarning: Enable tracemalloc to get the object allocation traceback
=========================================================================================

3.8 CPython 3.8.0b4+ (heads/3.8:36c6fa9680, Sep 28 2019, 14:00:28) [MSC v.1900 32 bit (Intel)]

test_locale, locale, and winconsoleio failed as before, test_import ok.

3.7 CPython 3.7.4+ (heads/3.7:80dd66ac27, Sep 28 2019, 14:01:04)

test_locale, locale, and winconsoleio failed as before
test_compileall, tools also failed temporarily due to local issues with ntpath.*.pyc and scripts/reindent.py, which I fixed.
========================================================================================
Looking at some of the other failures.

3. def test_getsetlocale_issue1813(self):
       # Issue #1813: setting and getting the locale under a Turkish locale
       https://bugs.python.org/issue1813 (closed 2011, 2012)

>>> locale.setlocale(locale.LC_CTYPE, 'tr_TR')
'tr_TR'
>>> loc = locale.getlocale(locale.LC_CTYPE)
>>> loc
('tr_TR', 'ISO8859-9')
>>> locale.setlocale(locale.LC_CTYPE, loc)
Traceback (most recent call last):
  File "<pyshell#6>", line 1, in <module>
    locale.setlocale(locale.LC_CTYPE, loc)
  File "C:\Programs\Python38\lib\locale.py", line 608, in setlocale
    return _setlocale(category, locale)
locale.Error: unsupported locale setting

Some change made this fail again, after being fixed on my local machine, even if it continues to work on buildbots.
History
Date User Action Args
2019-10-05 06:04:24terry.reedysetrecipients: + terry.reedy, paul.moore, vstinner, tim.golden, zach.ware, steve.dower
2019-10-05 06:04:24terry.reedysetmessageid: <1570255464.42.0.0896609467688.issue38324@roundup.psfhosted.org>
2019-10-05 06:04:24terry.reedylinkissue38324 messages
2019-10-05 06:04:23terry.reedycreate